### Function

# RB SourceAddCallback

#### Declaration

    void
    (* RBSourceAddCallback) (
      RBSource* source,
      const char* uri,
      gpointer data
    )

#### Description

No description available.

#### Parameters

`source`

  Type: `RBSource`

  No description available.

  The data is owned by the caller of the function.

`uri`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.